package com.poject.controller;

import com.poject.dto.NameInfoDto;
import com.poject.service.NameInfoService;
import com.poject.vo.NameInfoVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @description:
 * @author: fufanrui
 * @time: 2025/1/15 13:28
 */
@RestController
@RequestMapping("text")
public class NameInfoController {

    @Autowired
    private NameInfoService nameInfoService;

    @PostMapping("/list")
    public List<NameInfoVo> list (@RequestBody NameInfoDto nameInfoDto){
        return nameInfoService.list(nameInfoDto);
    }


}
