package com.poject.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.time.LocalDate;

/**
 * @description:  姓名信息展示对象
 * @author: fufanrui
 * @time: 2025/1/15 13:29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class NameInfoVo {
    private String id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 创建时间
     */
    private LocalDate createDate;

    /**
     * 修改时间
     */
    private LocalDate UpdateDate;

    /**
     * 删除状态
     */
    private String delFlg;
}
